# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/field/damage-number-handler.ts:11

##### Index

### Constructors

constructor

### Methods

add

## Constructors

### constructor

- new default(): default

  #### Returns default

  - Defined in src/field/damage-number-handler.ts:14

## Methods

### add

- add(
  target: default ,
  amount: number,
  result?: HEAL | DamageResult ,
  critical?: boolean,
  ): void

  #### Parameters

  - target: default
  - amount: number
  - result: HEAL | DamageResult = HitResult.EFFECTIVE
  - critical: boolean = false

  #### Returns void

  - Defined in src/field/damage-number-handler.ts:18